package com.gic.demo.single.api.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * tab_gic_demo_store
 */
public class DemoStoreDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 门店名称
     */
    private String storeName;

    /**
     * 详细地址
     */
    private String postAddress;

    /**
     * 状态（0：待审核，1：正常，2：审核失败，3：停业整顿 ，4：回收站 ，5:删除）
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getPostAddress() {
        return postAddress;
    }

    public void setPostAddress(String postAddress) {
        this.postAddress = postAddress;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}